package oop5_dat5_u;

import javax.swing.*; // Package für Swing
import java.awt.*; // AWT wird häufig für
import java.awt.event.*; // Ereignisverarbeitung benötigt

/**
 * Aufgabe 2
 * 
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class AppButton extends JFrame
{

    private int numClicks = 0;
    private JLabel label;

    public static void main(String[] args)
    {
        JFrame frame = new AppButton();
        frame.setSize(300, 150);
        frame.setResizable(false);
        //center on screen
        frame.setLocationRelativeTo(null);
    }

    public AppButton()
    {
        super("Aufgabe 2");
        setDefaultCloseOperation(EXIT_ON_CLOSE);

        JButton button = new JButton("Count button clicks");
        button.addActionListener(
            new ActionListener()
            {

                public void actionPerformed(ActionEvent e)
                {
                    onButtonPressed();
                }
            });
        label = new JLabel("      Number of clicks: " + numClicks + "      ");

        // ... hinzufügen
        JPanel paneButton = new JPanel();
        paneButton.setBorder(BorderFactory.createLineBorder(Color.black));
        paneButton.add(button);

        JPanel paneLabel = new JPanel();
        paneLabel.setBorder(BorderFactory.createLineBorder(Color.black));
        paneLabel.add(label);

        setLayout(new FlowLayout(FlowLayout.CENTER, 5, 20));
        add(paneButton);
        add(paneLabel);
        // Platzbedarf ermitteln und anzeigen
        pack();
        setVisible(true);
    }

    private void onButtonPressed()
    {
        numClicks ++;
        label.setText("      Number of clicks: " + numClicks + "      ");
    }
}
