package oop5_dat5_u;

import java.awt.event.*;
import javax.swing.*; // Package für Swing

/**
 * Aufgabe 1
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class SwingApplication extends JFrame
{

    public SwingApplication()
    {
        super("Aufgabe 1");
        setSize(300,300);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }

    public static void main(String[] args)
    {
        final JFrame frame = new SwingApplication();

        // MenuBar
        JMenuBar menuBar = new JMenuBar();
        // Menu File
        JMenu menuFile = new JMenu("File");
        JMenuItem miFileNew = new JMenuItem("New");
        JMenuItem miFileOpen = new JMenuItem("Open");
        JMenuItem miFileExit = new JMenuItem("Exit");
        miFileExit.addActionListener(
            new ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    System.exit(0);
                }
            });
        menuFile.add(miFileNew);
        menuFile.add(miFileOpen);
        menuFile.addSeparator(); // Trennlinie
        menuFile.add(miFileExit);
        menuBar.add(menuFile);

        // Menu Help
        JMenu menuHelp = new JMenu("Help");
        JMenuItem miHelpAbout = new JMenuItem("About");
        miHelpAbout.addActionListener(
            new ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    JOptionPane.showMessageDialog(frame, "Copyright 2012 Hochschule Luzern, Technik & Architektur");
                }
            });
        menuHelp.add(miHelpAbout);
        menuBar.add(menuHelp);

        frame.setJMenuBar(menuBar); // dem JFrame hinzufügen

        // anzeigen
        frame.setVisible(true);
    }
}
